Package org.globus.gsi.stores

# Class PEMKeyStoreParameters

java.lang.Object
org.globus.gsi.stores.PEMKeyStoreParameters

All Implemented Interfaces:
  `KeyStore.LoadStoreParameter`

public class PEMKeyStoreParameters extends Object implements KeyStore.LoadStoreParameter
This parameter class provides all of the options for creating a FileBasedKeyStore.

It is immutable.

Since:
  1.0
Version:
  ${vesion}

## Constructor Summary

Constructors
Constructor
Description
`PEMKeyStoreParameters(String initDefaultCertDir)`
This is the simplest constructor which only accepts a directory where all of the security material is stored.
`PEMKeyStoreParameters(String initCertDirs, String initDefaultCertDir)`
This is a slightly more complicated constructor which allows the user to specify one or more directory where the certificates are currently stored.
`PEMKeyStoreParameters(String initCertDirs, String initDefaultCertDir, String initProxyFileName)`
This constructor is for users who have a proxy certificate in addition to other security materials.
`PEMKeyStoreParameters(String initCertDirs, String initDefaultCertDir, String initUserCertFileName, String initUserKeyFileName, KeyStore.ProtectionParameter initProtectionParameter)`
A Constructor supporting the initial storage directories for the certificates, the default storage directory, the filename of the user's certificate file, the file name of the user's key file and a ProtectionParameter.
`PEMKeyStoreParameters(String initCertDirs, String initDefaultCertDir, String initUserCertFileName, String initUserKeyFileName, KeyStore.ProtectionParameter initProtectionParameter, String initProxyFileName)`
This is the full constructor for users with proxy certificates.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCertDirs()`
`String`
`getDefaultCertDir()`
`KeyStore.ProtectionParameter`
`getProtectionParameter()`
`String`
`getProxyFilename()`
`String`
`getUserCertFilename()`
`String`
`getUserKeyFilename()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PEMKeyStoreParameters

public PEMKeyStoreParameters(String initDefaultCertDir)
This is the simplest constructor which only accepts a directory where all of the security material is stored. New security material written to this KeyStore will be stored in this directory as well.

Parameters:
  `initDefaultCertDir` - The directory for storage of security material

### PEMKeyStoreParameters

public PEMKeyStoreParameters(String initCertDirs, String initDefaultCertDir)
This is a slightly more complicated constructor which allows the user to specify one or more directory where the certificates are currently stored. The user can also specify a default directory where new security material can be stored.

Parameters:
  `initCertDirs` - Directories where security material exists.
  `initDefaultCertDir` - A default directory for the storage of security material

### PEMKeyStoreParameters

public PEMKeyStoreParameters(String initCertDirs, String initDefaultCertDir, String initUserCertFileName, String initUserKeyFileName, KeyStore.ProtectionParameter initProtectionParameter)
A Constructor supporting the initial storage directories for the certificates, the default storage directory, the filename of the user's certificate file, the file name of the user's key file and a ProtectionParameter.

Parameters:
  `initCertDirs` - Directories where security material exists.
  `initDefaultCertDir` - A default directory for the storage of security material.
  `initUserCertFileName` - The file name for the user's certificate.
  `initUserKeyFileName` - The file name for the user's key.
  `initProtectionParameter` - A protection parameter for this keystore.

### PEMKeyStoreParameters

public PEMKeyStoreParameters(String initCertDirs, String initDefaultCertDir, String initProxyFileName)
This constructor is for users who have a proxy certificate in addition to other security materials.

Parameters:
  `initCertDirs` - Directories where security material exists.
  `initDefaultCertDir` - A default directory for the storage of security material.
  `initProxyFileName` - The file name for the user's proxy certificate.

### PEMKeyStoreParameters

public PEMKeyStoreParameters(String initCertDirs, String initDefaultCertDir, String initUserCertFileName, String initUserKeyFileName, KeyStore.ProtectionParameter initProtectionParameter, String initProxyFileName)
This is the full constructor for users with proxy certificates.

Parameters:
  `initCertDirs` - Directories where security material exists.
  `initDefaultCertDir` - A default directory for the storage of security material.
  `initUserCertFileName` - The file name for the user's certificate.
  `initUserKeyFileName` - The file name for the user's key.
  `initProtectionParameter` - A protection parameter for this keystore.
  `initProxyFileName` - The file name for the user's proxy certificate.

## Method Details

### getProtectionParameter

public KeyStore.ProtectionParameter getProtectionParameter()

Specified by:
  `getProtectionParameter` in interface `KeyStore.LoadStoreParameter`

### getCertDirs

public String getCertDirs()

### getDefaultCertDir

public String getDefaultCertDir()

### getUserCertFilename

public String getUserCertFilename()

### getUserKeyFilename

public String getUserKeyFilename()

### getProxyFilename

public String getProxyFilename()